package com.zsc.edu.gateway.modules.iot.record.entity;

import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

/**
 * @author zhuang
 */
@Getter
@Setter
public class TemperatureExceededEvent extends ApplicationEvent {
    private final RecordData recordData;
    private final double reducedParameter;

    public TemperatureExceededEvent(Object source, RecordData recordData, double reducedParameter) {
        super(source);
        this.recordData = recordData;
        this.reducedParameter = reducedParameter;
    }
}
